//---------------------------------------------------------------------------

#pragma hdrstop
#include <windows.h>
//---------------------------------------------------------------------------

#pragma argsused
int main(int argc, char* argv[])
{
          // arg[1] = .bin file  arg[2] = sfx[mang].siz
  WIN32_FIND_DATA rec;
  HANDLE h = FindFirstFile(argv[1], &rec);
  if(h == INVALID_HANDLE_VALUE) return 1;
  FindClose(h);
  HANDLE file;
  if((file = CreateFile(argv[2], GENERIC_WRITE, 0, NULL,
                         OPEN_ALWAYS, FILE_ATTRIBUTE_NORMAL, 0)) == INVALID_HANDLE_VALUE)
      return 1;
  else
  {
    DWORD written;
    WriteFile(file,&rec.nFileSizeLow,sizeof(rec.nFileSizeLow), &written, 0);
  }
  CloseHandle(file);

  return 0;
}
//---------------------------------------------------------------------------
 
